E-MailRelay

Public Member Functions | List of all members
GNet::TaskCallback Class Referenceabstract

An abstract interface for callbacks from GNet::Task. More...

`#include <gtask.h>`

Inheritance diagram for GNet::TaskCallback:

## Public Member Functions
virtual | ~TaskCallback ()=default
| Destructor.
virtual void | onTaskDone (int exit_status, const std::string &pipe_output)=0
| Callback function to signal task completion.

## Detailed Description

An abstract interface for callbacks from GNet::Task.

Definition at line 112 of file gtask.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gtask.h